server:
  port: 8010
  servlet:
    context-path: /api

#swagger2配置
swagger2:
  enable: true #开启swagger
  projectName: 云平台--business-前端接口
  controllerPath: com.ho.datacollect.controller

#mqtt
mqtt:
  url: tcp://172.31.9.103:1883
  userName: admin
  passWord: zzkj@688737
  timeout: 5000
  keepAlive: 60

#密钥
secret:
  loginSecret: 6131231@#42a765#

#topic
topic:
  edgeLoginRequest: +/device/+/login/request
  cloudLoginResponse: +/cloud/+/login/response

  cloudReadRequest: +/cloud/+/read/request
  edgeReadResponse: +/device/+/read/response
  cloudWriteRequest: +/cloud/+/write/request
  edgeWriteResponse: +/device/+/write/response

  cloudReportPush: +/cloud/+/report/push
  edgeReportPush: +/device/+/report/push

  cloudControlRequest: +/cloud/+/control/request
  edgeControlResponse: +/device/+/control/response



spring:
  jackson:
    time-zone: GMT+8
  application:
    name: datacollect-service
  cloud:
    nacos:
      discovery:
        server-addr: 172.31.9.103:8848
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://172.31.35.125:3306/business_db?useUnicode=true&characterEncoding=utf-8&serverTimezone=Asia/Shanghai
    username: business_db
    password: zzkj@688737
    druid:
      initialSize: 5
      minIdle: 5
      maxActive: 5
      keepAlive: true #保持长连接
      connection-error-retry-attempts: 3
  #Redis
  redis:
    port: 6379 #端口
    timeout: 3000ms #连接超时
    host: 172.31.35.125 #单机
    password: zzkj@688737
    database: 0
    lettuce:
      pool:
        max-active: 8 #连接池最大连接  默认8
        max-idle: 8 #连接池中最大空闲连接 默认8
        min-idle: 1 #连接池中最小空闲连接 默认0
        max-wait: 2000ms #连接池最大阻塞等待时间 使用负值表示没有限制

minio:
  accessKey: admin
  secretKey: zzkj@688737
  endpoint: http://172.31.35.125:9000
  prefixUrl: http://172.31.35.125:9000

#跳过登录：true ,不跳过：false
skipLogin: false